Run a job immediately
Execute a job immediately by providing its ID. The job's configured tests will be run. For k6 jobs, an optional location can target an enabled location code or global for unrestricted any-worker routing.
Authorization
bearerAuth CLI token (sck_live_*) for full API access, or trigger key (sck_trigger_* / legacy job_*) for job trigger endpoint only.
In: header
Request Body
application/json
ID of the job to run
uuidTests to execute for this run. The server validates ownership and uses the stored scripts as the source of truth.
1 <= itemsRequested trigger source. CLI-authenticated calls are normalized to remote by the server.
"manual" | "remote" | "schedule"Optional execution location for k6 jobs. Use an enabled location code (for example us-east) or global for unrestricted any-worker routing. global is rejected when project location restrictions are enabled.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://demo.supercheck.dev/api/jobs/run" \ -H "Content-Type: application/json" \ -d '{ "jobId": "9d222c6d-893e-4e79-8201-3c9ca16a0f39", "tests": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" } ], "trigger": "manual" }'{
"runId": "78c33d18-170c-44d3-a227-b3194f134f73",
"jobId": "9d222c6d-893e-4e79-8201-3c9ca16a0f39",
"status": "string",
"message": "string"
}{
"error": "Unauthorized"
}{
"error": "string"
}{
"error": "Not found"
}